package com.ycgis.macall.personalcenter.m.adapterbean;

import android.app.Activity;
import android.graphics.drawable.Drawable;

import com.rs.macall.androidx.basemodel.base.BaseViewBindActivity;
import com.rs.macall.androidx.basemodel.utils.StringUtil;

/**
 * created by:   Macall
 * create time:  2022/11/7 17:26
 * copyright:    @ruansee.com
 * Describe:
 */
public class AppBean extends BaseBean{
    private String id;
    //省厅应用地市应用
    private String appType;
    //治安类、社区类、
    private String classification;
    //二类应用、三类应用
    private String networkType;
    private String appName;

    private boolean isNew = false;
    private int icon;
    private Drawable iconDrawable;

    private String iconUrl;

    private String linkUrl;

    private String cityNumber;
    private String company;
    private String operationName;
    private String operationPhone;

    private String time;

    private String clientId;
    private String clientSecret;

    private Class activityClass;

    //应用介绍
    private String appIntroduction;

    public Class getActivityClass() {
        return activityClass;
    }

    public void setActivityClass(Class activityClass) {
        this.activityClass = activityClass;
    }

    public Drawable getIconDrawable() {
        return iconDrawable;
    }

    public void setIconDrawable(Drawable iconDrawable) {
        this.iconDrawable = iconDrawable;
    }

    public String getId() {
        return StringUtil.isNullOrEmpty(id)?"":id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCityNumber() {
        return cityNumber;
    }

    public void setCityNumber(String cityNumber) {
        this.cityNumber = cityNumber;
    }

    public boolean isNew() {
        return isNew;
    }

    public void setNew(boolean aNew) {
        isNew = aNew;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }


    public String getLinkUrl() {
        return linkUrl;
    }

    public void setLinkUrl(String linkUrl) {
        this.linkUrl = linkUrl;
    }

    public String getAppType() {
        return appType;
    }

    public void setAppType(String appType) {
        this.appType = appType;
    }

    public String getClassification() {
        return classification;
    }

    public void setClassification(String classification) {
        this.classification = classification;
    }

    public String getNetworkType() {
        return networkType;
    }

    public void setNetworkType(String networkType) {
        this.networkType = networkType;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public int getIcon() {
        return icon;
    }

    public void setIcon(int icon) {
        this.icon = icon;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }

    public String getOperationPhone() {
        return operationPhone;
    }

    public void setOperationPhone(String operationPhone) {
        this.operationPhone = operationPhone;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getAppIntroduction() {
        return appIntroduction;
    }

    public void setAppIntroduction(String appIntroduction) {
        this.appIntroduction = appIntroduction;
    }
}
